This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 627827

Summary: virtio network lost when virtio disk is added to a running kvm instance
Product: [Fedora] Fedora Reporter: Edgar Hoch <edgar.hoch>
Component: libvirtAssignee: Daniel Veillard <veillard>
Status: CLOSED DEFERRED QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: berrange, clalance, crobinso, itamar, jforbes, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-10 14:13:46 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
virsh dumpxml of the kvm instance (hostname and paths chanched) none

Description Edgar Hoch 2010-08-27 00:37:07 EDT
Created attachment 441398 [details]
virsh dumpxml of the kvm instance (hostname and paths chanched)

Description of problem:

When I add a virtio disk from a lvm volume group to a running kvm, both running current fedora 13, the kvm instance lost the network connection and is unreachable.

/var/log/messages contain error messages like this:

Aug 27 06:14:11 hostname libvirtd: 06:14:11.751: warning : qemudParsePCIDeviceStrs:1411 : Unexpected exit status '1', qemu probably failed



Version-Release number of selected component (if applicable):
kernel-2.6.33.8-149.fc13.x86_64
libvirt-0.8.2-1.fc13.x86_64
libvirt-client-0.8.2-1.fc13.x86_64
virt-manager-0.8.4-2.fc13.noarch

How reproducible:
I think probably always, but I'm not really sure.

Steps to Reproduce:
1. Start virt-manager
2. Create a kvm instance with a scsi disk (image file) and a bridged network using virtio type.
3. Install fedora 13 on the kvm instance.
4. Create a lvm volume group and a logical volume.
5. Using virt-manager create a pool using the lvm volume group.
6. Start the kvm instance and log in using ssh.
7. Add a disk using virtio driver and the lvm logical volume previously created.
  
Actual results:
KVM instance isn't reachable any more over the network. The ssh connection hangs, ping shows no responce.

Expected results:
The network should stay available.
Comment 1 Bug Zapper 2011-05-31 11:20:53 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Cole Robinson 2011-06-10 14:13:46 EDT
Closing this bug since F13 is EOL. Please reopen if you can still reproduce against F14/F15/rawhide